//
//  RootViewController.h
//  SJ
//
//  Created by T_Yang on 15/11/3.
//  Copyright © 2015年 杨 天. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface RootViewController : UIViewController <UITableViewDelegate, UITableViewDataSource>
/**
 *  自定义导航栏
 */
@property (nonatomic, weak) UIView *navigationView;
/**
 *  导航栏中央label
 */
@property (nonatomic, weak) UILabel *titleLabel;
/**
 *  左侧按钮
 */
@property (nonatomic, weak) UIButton *leftButton;
/**
 *  右侧按钮
 */
@property (nonatomic, weak) UIButton *rightButton;
/**
 *  左侧按钮响应方法, 可重写
 */
- (void)leftBtnClicked:(UIButton *)leftBtn;
/**
 *  右侧按钮响应方法, 可重写
 */
- (void)rightBtnClicked:(UIButton *)rightBtn;
/**
 *  配置导航栏
 */
- (void)configNavigationBar;
/**
 *  底部导航栏最左侧按钮点击
 */
- (void)bottomLeftBtnClick:(UIButton *)btn;
@end
